PETSc version 3.15.5
Fix/Edit manual page

# TaoGetObjective

Gets the current value of the objective function at this time.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetObjective(Tao tao,PetscReal *value)

Not Collective

### Input Parameter

| tao | - Tao context

### Output Parameter

| value | - the current value

### See Also

TaoGetLinearSolveIterations(), TaoGetIterationNumber(), TaoGetResidualNorm()

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages